Termux Metasploit Kurulumu !

JigsawN

Yeni üye
21 Tem 2020
39
0
Selamlar sayın Türk Hack Team üyeleri,

Bu konumda Termux'a nasıl M€tasploit'i kuracağımızı anlatıcam.

Öncelikle Termux'umuzu güncelleyelim.

pkg update -y

Daha sonra M€tasploit'i kurmak için wget'i indirelim.

pkg install wget -y

wget'imizi indirdik şimdi M€tasploit'i indirelim.

wget https://raw.githubusercontent.com/evildevill/tmetasploit/master/tmetasploit.sh

Şimdi de asıl kurulumu başlatalım.Bu işlem uzun sürecektir.

bash tmetasploit.sh



Evet kurulumumuz yaklaşık 20 dakika sonra bitti.


Şimdi msfconsole yazarak test edelim.



Evet msfconsole yazdığımızda console açılıyor.Kurulum başarılı.

Şimdi msfvenom'dan oluşturduğumuz payload'ımızı karşı tarafa atıp çalışıp çalışmadığını test edelim.




Gördüğünüz üzere M€TASPLOİT'İMİZ çalışıyor.

Umarım konuyu beğenirsiniz :)
tam bash tmetasploit.sh yazdım indirmeye başladı ve wpde bi +92 li numara attı normal mi? bu arada elinize sağlık bayadır arıyodum
 

'The Wolf

Katılımcı Üye
22 Nis 2021
628
412
THT
Selamlar sayın Türk Hack Team üyeleri,

Bu konumda Termux'a nasıl M€tasploit'i kuracağımızı anlatıcam.

Öncelikle Termux'umuzu güncelleyelim.

pkg update -y

Daha sonra M€tasploit'i kurmak için wget'i indirelim.

pkg install wget -y

wget'imizi indirdik şimdi M€tasploit'i indirelim.

wget https://raw.githubusercontent.com/evildevill/tmetasploit/master/tmetasploit.sh

Şimdi de asıl kurulumu başlatalım.Bu işlem uzun sürecektir.

bash tmetasploit.sh



Evet kurulumumuz yaklaşık 20 dakika sonra bitti.


Şimdi msfconsole yazarak test edelim.



Evet msfconsole yazdığımızda console açılıyor.Kurulum başarılı.

Şimdi msfvenom'dan oluşturduğumuz payload'ımızı karşı tarafa atıp çalışıp çalışmadığını test edelim.




Gördüğünüz üzere M€TASPLOİT'İMİZ çalışıyor.

Umarım konuyu beğenirsiniz :)
Ellerine Sağlık Dostum.....
 

ciddenbak

Yeni üye
8 Tem 2021
3
0
31
hocam merhabalar, emeğine sağlık öncelikle, console başlatırken şu şekilde bir hata alıyorum.

"
13: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `<main>'
12: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `require'
11: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `<top (required)>'
10: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `require'
9: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `<top (required)>'
8: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `require'
7: from /data/data/com.termux/files/home/metasploit-framework/config/application.rb:10:in `<top (required)>'
6: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler.rb:174:in `require'
5: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `require'
4: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `each'
3: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:61:in `block in require'
2: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:61:in `each'
1: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:66:in `block (2 levels) in require'
/data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:66:in `require': cannot load such file -- metasploit-framework (LoadError)
16: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `<main>'
15: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `require'
14: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `<top (required)>'
13: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `require'
12: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `<top (required)>'
11: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `require'
10: from /data/data/com.termux/files/home/metasploit-framework/config/application.rb:10:in `<top (required)>'
9: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler.rb:174:in `require'
8: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `require'
7: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `each'
6: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:57:in `block in require'
5: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:79:in `rescue in block in require'
4: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:79:in `require'
3: from /data/data/com.termux/files/home/metasploit-framework/lib/metasploit/framework.rb:13:in `<top (required)>'
2: from /data/data/com.termux/files/home/metasploit-framework/lib/metasploit/framework.rb:13:in `require'
1: from /data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri.rb:13:in `<top (required)>'
/data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri.rb:13:in `require': dlopen failed: library "libm.so.6" not found - /data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri/2.7/nokogiri.so (LoadError)
17: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `<main>'
16: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `require'
15: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `<top (required)>'
14: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `require'
13: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `<top (required)>'
12: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `require'
11: from /data/data/com.termux/files/home/metasploit-framework/config/application.rb:10:in `<top (required)>'
10: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler.rb:174:in `require'
9: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `require'
8: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `each'
7: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:57:in `block in require'
6: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:79:in `rescue in block in require'
5: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:79:in `require'
4: from /data/data/com.termux/files/home/metasploit-framework/lib/metasploit/framework.rb:13:in `<top (required)>'
3: from /data/data/com.termux/files/home/metasploit-framework/lib/metasploit/framework.rb:13:in `require'
2: from /data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri.rb:11:in `<top (required)>'
1: from /data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri.rb:32:in `rescue in <top (required)>'
/data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri.rb:32:in `require': cannot load such file -- nokogiri/nokogiri (LoadError)"
 

Loux

Uzman üye
16 Ocak 2019
1,073
392
Tümen
hocam merhabalar, emeğine sağlık öncelikle, console başlatırken şu şekilde bir hata alıyorum.

"
13: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `<main>'
12: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `require'
11: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `<top (required)>'
10: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `require'
9: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `<top (required)>'
8: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `require'
7: from /data/data/com.termux/files/home/metasploit-framework/config/application.rb:10:in `<top (required)>'
6: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler.rb:174:in `require'
5: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `require'
4: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `each'
3: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:61:in `block in require'
2: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:61:in `each'
1: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:66:in `block (2 levels) in require'
/data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:66:in `require': cannot load such file -- metasploit-framework (LoadError)
16: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `<main>'
15: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `require'
14: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `<top (required)>'
13: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `require'
12: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `<top (required)>'
11: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `require'
10: from /data/data/com.termux/files/home/metasploit-framework/config/application.rb:10:in `<top (required)>'
9: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler.rb:174:in `require'
8: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `require'
7: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `each'
6: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:57:in `block in require'
5: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:79:in `rescue in block in require'
4: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:79:in `require'
3: from /data/data/com.termux/files/home/metasploit-framework/lib/metasploit/framework.rb:13:in `<top (required)>'
2: from /data/data/com.termux/files/home/metasploit-framework/lib/metasploit/framework.rb:13:in `require'
1: from /data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri.rb:13:in `<top (required)>'
/data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri.rb:13:in `require': dlopen failed: library "libm.so.6" not found - /data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri/2.7/nokogiri.so (LoadError)
17: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `<main>'
16: from /data/data/com.termux/files/home/metasploit-framework/msfconsole:18:in `require'
15: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `<top (required)>'
14: from /data/data/com.termux/files/home/metasploit-framework/lib/msfenv.rb:17:in `require'
13: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `<top (required)>'
12: from /data/data/com.termux/files/home/metasploit-framework/config/environment.rb:2:in `require'
11: from /data/data/com.termux/files/home/metasploit-framework/config/application.rb:10:in `<top (required)>'
10: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler.rb:174:in `require'
9: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `require'
8: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:50:in `each'
7: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:57:in `block in require'
6: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:79:in `rescue in block in require'
5: from /data/data/com.termux/files/usr/lib/ruby/site_ruby/2.7.0/bundler/runtime.rb:79:in `require'
4: from /data/data/com.termux/files/home/metasploit-framework/lib/metasploit/framework.rb:13:in `<top (required)>'
3: from /data/data/com.termux/files/home/metasploit-framework/lib/metasploit/framework.rb:13:in `require'
2: from /data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri.rb:11:in `<top (required)>'
1: from /data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri.rb:32:in `rescue in <top (required)>'
/data/data/com.termux/files/usr/lib/ruby/gems/2.7.0/gems/nokogiri-1.11.1-x86-linux/lib/nokogiri.rb:32:in `require': cannot load such file -- nokogiri/nokogiri (LoadError)"
./msfconsole denediniz mi
 

Loux

Uzman üye
16 Ocak 2019
1,073
392
Tümen
denedim. sonuç şu şekilde;

"you can directly use msfvenom or msfconsole rather than ./msfvenom or ./msfconsole.
termuxblack > ./msfconsole
bash: ./msfconsole: No such file or directory
"
Normalde ./msfconsole yazdığınızda olurdu.Termux Black kurup denerseniz olur büyük ihtimalle
 

sfarows

Üye
15 Tem 2021
66
11
98
Azerbaycan
Selamlar sayın Türk Hack Team üyeleri,

Bu konumda Termux'a nasıl M€tasploit'i kuracağımızı anlatıcam.

Öncelikle Termux'umuzu güncelleyelim.

pkg update -y

Daha sonra M€tasploit'i kurmak için wget'i indirelim.

pkg install wget -y

wget'imizi indirdik şimdi M€tasploit'i indirelim.

wget https://raw.githubusercontent.com/evildevill/tmetasploit/master/tmetasploit.sh

Şimdi de asıl kurulumu başlatalım.Bu işlem uzun sürecektir.

bash tmetasploit.sh



Evet kurulumumuz yaklaşık 20 dakika sonra bitti.


Şimdi msfconsole yazarak test edelim.



Evet msfconsole yazdığımızda console açılıyor.Kurulum başarılı.

Şimdi msfvenom'dan oluşturduğumuz payload'ımızı karşı tarafa atıp çalışıp çalışmadığını test edelim.




Gördüğünüz üzere M€TASPLOİT'İMİZ çalışıyor.

Umarım konuyu beğenirsiniz :)

Android 5,6'da çalışmıyor dimi ?
 

THT SON MESAJLAR

Üst

Turkhackteam.org internet sitesi 5651 sayılı kanun’un 2. maddesinin 1. fıkrasının m) bendi ile aynı kanunun 5. maddesi kapsamında "Yer Sağlayıcı" konumundadır. İçerikler ön onay olmaksızın tamamen kullanıcılar tarafından oluşturulmaktadır. Turkhackteam.org; Yer sağlayıcı olarak, kullanıcılar tarafından oluşturulan içeriği ya da hukuka aykırı paylaşımı kontrol etmekle ya da araştırmakla yükümlü değildir. Türkhackteam saldırı timleri Türk sitelerine hiçbir zararlı faaliyette bulunmaz. Türkhackteam üyelerinin yaptığı bireysel hack faaliyetlerinden Türkhackteam sorumlu değildir. Sitelerinize Türkhackteam ismi kullanılarak hack faaliyetinde bulunulursa, site-sunucu erişim loglarından bu faaliyeti gerçekleştiren ip adresini tespit edip diğer kanıtlarla birlikte savcılığa suç duyurusunda bulununuz.